Introduction
Changelog
Usage
Authentication
Headers
Errors
Rate Limiting
Webhooks
OAuth 2.0
User
Devices
Aggregation
Budgets
Challenges
CDR
Configuration
Contacts
Events
Goals
Messages
Pay Day
Payments
Reports
Surveys
Calculators
Images
Financial Passport
Users
Accounts
Transactions
put

/bills/payments/{bill_payment_id}

Update a Bill Payment by ID

Authorization

oauth2 - password
oauth2 - authorizationCode
oauth2 - clientCredentials
apiKey - Authorization

Request Parameters

1 Path Parameter
6 Headers

Request Body

1 Example
Schema
object
$schema: http://json-schema.org/draft-04/schema#
status
string
1 validation
date
string

Update the date of the payment

2 validations

Responses

1 Example
Schema
object
$schema: http://json-schema.org/draft-04/schema#
id
integer

Unique identifier of the bill payment

4 validations + required
bill_id
integer

Bill ID the payment is linked to

4 validations + required
name
string

Name of the bill

1 validation + required
merchant_id
integer

Merchant ID of the transaction associated with the payment

4 validations + required
date
string

Date of the payment

2 validations + required
payment_status
string

Payment Status

  • due - Due in the next few days to weeks depending on frequency
  • future - Future payment not due for some time
  • overdue - Overdue payment that has not been paid for at least 2 business days after the due date
  • paid - Paid previous bill payment
1 validation + required
frequency
string

Bill Frequency

  • monthly - Monthly
  • weekly - Weekly
  • fortnightly - Fortnightly
  • four_weekly - Every four weeks
  • quarterly - Quarterly
  • biannually - Twice a year
  • annually - Annually
  • irregular - Irregular with no fixed frequency
  • unknown - Unknown or could not be detected
1 validation + required
amount
string

Amount of the payment

1 validation + required
unpayable
boolean

This flag is set to true if the BillPayment can be updated with a status of ‘unpaid’

1 validation + required

Send a Test Request

Send requests directly from the browser (CORS must be enabled)
Path Params
1 path param not set
bill_payment_id
$$.env
1 variable not set
Authorization